Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class MarkupWriterFactoryImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.MarkupWriterFactoryImpl

All Implemented Interfaces:
  MarkupWriterFactory

    public class MarkupWriterFactoryImpl

extends java.lang.Object
implements MarkupWriterFactory

Constructor Summary
`MarkupWriterFactoryImpl(PageContentTypeAnalyzer analyzer, RequestPageCache cache)`

Method Summary
`MarkupWriter` | `newMarkupWriter(ContentType contentType)` Creates a markup writer for a particular content type.
`MarkupWriter` | `newMarkupWriter(java.lang.String pageName)` Obtains a markup writer that will render the content for the provided logical page name.
`MarkupWriter` | `newPartialMarkupWriter(ContentType contentType)` Creates a markup writer for a particular content type, configured for partial page rendering (i.e., for a response to an Ajax request).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkupWriterFactoryImpl

    public MarkupWriterFactoryImpl(PageContentTypeAnalyzer analyzer,
                                   RequestPageCache cache)

Method Detail

### newMarkupWriter

    public MarkupWriter newMarkupWriter(ContentType contentType)

  Description copied from interface: `MarkupWriterFactory`
  Creates a markup writer for a particular content type.

  Specified by:
    `newMarkupWriter` in interface `MarkupWriterFactory`
  Parameters:
    `contentType` - type of content generated by the markup write; used to control the type of `MarkupModel` used with the `Document` the backs the markup writer.

### newPartialMarkupWriter

    public MarkupWriter newPartialMarkupWriter(ContentType contentType)

  Description copied from interface: `MarkupWriterFactory`
  Creates a markup writer for a particular content type, configured for partial page rendering (i.e., for a response to an Ajax request).

  Specified by:
    `newPartialMarkupWriter` in interface `MarkupWriterFactory`
  Parameters:
    `contentType` - type of content generated by the markup write; used to control the type of `MarkupModel` used with the `Document` the backs the markup writer.

### newMarkupWriter

    public MarkupWriter newMarkupWriter(java.lang.String pageName)

  Description copied from interface: `MarkupWriterFactory`
  Obtains a markup writer that will render the content for the provided logical page name.

  Specified by:
    `newMarkupWriter` in interface `MarkupWriterFactory`
  Parameters:
    `pageName` - logical page name
  Returns:
    writer configured for the page

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.